Create Bills
curl --request POST \
--url https://api.rootfi.dev/accounting/bills \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"due_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"memo": "Test Invoice",
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}
'import requests
url = "https://api.rootfi.dev/accounting/bills"
payload = {
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"due_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"memo": "Test Invoice",
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 1,
data: [
{
contact_id: '123456',
document_number: 'ROOTFI01',
posted_date: '2021-09-28T15:00:00.000Z',
due_date: '2021-09-28T15:00:00.000Z',
currency_id: 'GBP',
memo: 'Test Invoice',
line_items: [
{
account_id: '123456',
quantity: 1,
item_id: '123456',
tax_id: '123456',
unit_amount: 100,
total_discount: 0,
description: 'Test Item'
}
]
}
]
})
};
fetch('https://api.rootfi.dev/accounting/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "SUCCESS",
"upload_job_id": "aXI9pUDA5T7E2LS",
"data": [
{
"job_id": "xQm2K441VosP8W4",
"status": "success",
"response": {
"platform_id": "3770712000001685001",
"contact_id": "3770712000000418001",
"currency_id": "3770712000000000099",
"document_number": "BIL84705",
"posted_date": "2023-03-17T00:00:00.000Z",
"due_date": "2024-03-19T00:00:00.000Z",
"memo": "Test Invoice",
"currency_rate": 12,
"status": "SUBMITTED",
"total_amount": 212.8,
"sub_total": 190,
"total_discount": 0,
"tax_amount": 22.8,
"amount_due": 212.8,
"purchase_order_ids": [
"3770712000000000099"
],
"updated_at": "2023-11-01T00:00:00.000Z",
"raw_data": {
"platform_id": "123456",
"nominal_code": "Rootfi 01",
"name": "Test Account",
"description": "Test Description",
"category": "LIABILITY",
"sub_category": "Long Term Liabilities",
"status": "ACTIVE"
}
},
"error": null
}
]
},
"request_timestamp": "2021-09-28T15:00:00.000Z",
"response_timestamp": "2021-09-28T15:00:00.000Z",
"request_id": "b2e791f5-7384-4e4f-800f-5c032f6bb61b"
}Bills
Create Bill
Create a new Bill.
POST
/
accounting
/
bills
Create Bills
A Bills record of goods or services purchased from a vendor.
Additional Required Fields
To successfully create a contact, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| MYOB_BUSINESS | tax_code | The tax code to which the contact belongs. |
Authorizations
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
The time at which the request was received by the server
The time at which the response was sent by the server
The unique ID of the request
⌘I